FASTAQ-FILTER(1)

NAME
fastaq_filter - Filter sequences to get a subset of them

DESCRIPTION
usage: fastaq_filter [options] <infile> <outfile>

Filters a sequence file by sequence length and/or by name matching a regular expression

  positional arguments:

infile
    Name of input file to be filtered

outfile
    Name of output file

  options:

-h, --help
    show this help message and exit

--min_length INT
    Minimum length of sequence to keep [0]

--max_length INT
    Maximum length of sequence to keep [inf]

--regex REGEX
    If given, only reads with a name matching the regular expression will be kept

--ids_file FILENAME
    If given, only reads whose ID is in th given file will be used. One ID per line of file.

-v, --invert
    Only keep sequences that do not match the filters

  Mate file for read pairs options:

--mate_in FILENAME
    Name of mates input file. If used, must also provide --mate_out

--mate_out FILENAME
    Name of mates output file

--both_mates_pass
    By default, if either mate passes filter, then both reads output. Use this flag to require that both reads of a pair pass the filter